Bug 107960 - No disk/partition statistics in /proc/partitions
No disk/partition statistics in /proc/partitions
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
s390 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-24 19:20 EDT by Lev Makhlis
Modified: 2007-11-30 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-02 21:06:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lev Makhlis 2003-10-24 19:20:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030701

Description of problem:
On s390 and s390x systems, /proc/partitions does not contain the extended I/O
statistics per block device.  This is despite CONFIG_BLK_STATS=y in the config file.

Version-Release number of selected component (if applicable):
kernel-2.4.21-4.EL

How reproducible:
Always

Steps to Reproduce:
cat /proc/partitions

Actual Results:  major minor  #blocks  name
 
  94     0     504000 dasda
  94     1     503904 dasda1
  94     4    1296000 dasdb
  94     5    1295904 dasdb1


Expected Results:  Something like this (output from another system running RHL 7.2)

major minor  #blocks  name     rio rmerge rsect ruse wio wmerge wsect wuse
running use aveq
 
  94     0    2403360 dasda 18277 21005 314256 244340 13880 3667 140440 3403820
0 268010 3648160
  94     1      71952 dasda1 1 0 8 0 0 0 0 0 0 0 0
  94     2    2331312 dasda2 18272 21005 314216 244340 13880 3667 140440 3403820
0 268010 3648160
  94     4     359280 dasdb 1 0 8 0 0 0 0 0 0 0 0
  94     5     359268 dasdb1 0 0 0 0 0 0 0 0 0 0 0


Additional info:

I believe the reason is that arch/s390/config.in and arch/s390x/config.in do not
include drivers/block/Config.in, which defines the CONFIG_BLK_STATS option. 
Other architectures supported in RHEL v3 do not have this problem.
Comment 1 Pete Zaitcev 2003-10-27 17:46:20 EST
Indeed, in our 7.2 product with 2.4.9, CONFIG_BLK_STATS did not exist.
Comment 2 Pete Zaitcev 2003-10-27 18:40:18 EST
Lev, it's definitely a bug, but please let me know what are the
practical consequences of the failure. What particular tool does break?
Comment 3 Lev Makhlis 2003-10-28 09:41:00 EST
For what it's worth, up to 2.4.18, Red Hat was applying the SARD patch on its
own, and it didn't contain CONFIG_BLK_STATS.  In 2.4.19, the SARD patch was
merged into Linus tree (still without it).  After some complaints about the
compatibility of /proc/partitions format, it was removed, then put back, but
with conditional compilation, which is how it has been since 2.4.20.

The practical consequences are that there are no disk I/O statistics at all
available on the system (the "legacy" statistics in /proc/stat don't work for
DASD devices).  Tools that break include "iostat -x" and "sar -b" ("iostat -d"
and "sar -d," which read /proc/stat, don't work either -- but that's a separate
issue).
Comment 4 Pete Zaitcev 2003-11-05 14:57:03 EST
Modified in CVS for 2.4.21-4.9.EL by Ernie.
Comment 5 Ernie Petrides 2004-12-02 21:06:09 EST
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-017.html

Note You need to log in before you can comment on or make changes to this bug.